Skip to main content

Provider File

View as Markdown

FileInfo object

idstringPublic Preview
marketplace_file_typestringPublic Preview

Values: PROVIDER_ICON, EMBEDDED_NOTEBOOK, APP

file_parentobjectPublic Preview
Show child attributesHide child attributes
parent_idstringPublic Preview
file_parent_typestringPublic Preview

Values: PROVIDER, LISTING, LISTING_RESOURCE

mime_typestringPublic Preview
created_atint64Public Preview
updated_atint64Public Preview
display_namestringPublic Preview

Name displayed to users for applicable files, e.g. embedded notebooks

statusstringPublic Preview

Values: FILE_STATUS_PUBLISHED, FILE_STATUS_STAGING, FILE_STATUS_SANITIZING, FILE_STATUS_SANITIZATION_FAILED

status_messagestringPublic Preview

Populated if status is in a failed state with more information on reason for the failure.

Get Public Preview

GET /api/2.0/marketplace-provider/files/{file_id}

Get a file

API scopes: marketplace

Parameters

file_idstringpath

Response

file_infoobject
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values: PROVIDER_ICON, EMBEDDED_NOTEBOOK, APP

file_parentobject
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values: PROVIDER, LISTING, LISTING_RESOURCE

mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values: FILE_STATUS_PUBLISHED, FILE_STATUS_STAGING, FILE_STATUS_SANITIZING, FILE_STATUS_SANITIZATION_FAILED

status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

List Public Preview

GET /api/2.0/marketplace-provider/files

List files attached to a parent entity.

API scopes: marketplace

Parameters

file_parentobjectquery
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values: PROVIDER, LISTING, LISTING_RESOURCE

page_tokenstringquery
page_sizeint32query

Response

Returns a list of FileInfo objects.

Create Public Preview

POST /api/2.0/marketplace-provider/files

Create a file. Currently, only provider icons and attached notebooks are supported.

API scopes: marketplace

Request body

file_parentobject
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values: PROVIDER, LISTING, LISTING_RESOURCE

marketplace_file_typestring

Values: PROVIDER_ICON, EMBEDDED_NOTEBOOK, APP

mime_typestring
display_namestring

Response

upload_urlstring

Pre-signed POST URL to blob storage

file_infoobject
Show child attributesHide child attributes
idstring
marketplace_file_typestring

Values: PROVIDER_ICON, EMBEDDED_NOTEBOOK, APP

file_parentobject
Show child attributesHide child attributes
parent_idstring
file_parent_typestring

Values: PROVIDER, LISTING, LISTING_RESOURCE

mime_typestring
created_atint64
updated_atint64
display_namestring

Name displayed to users for applicable files, e.g. embedded notebooks

statusstring

Values: FILE_STATUS_PUBLISHED, FILE_STATUS_STAGING, FILE_STATUS_SANITIZING, FILE_STATUS_SANITIZATION_FAILED

status_messagestring

Populated if status is in a failed state with more information on reason for the failure.

Delete Public Preview

DELETE /api/2.0/marketplace-provider/files/{file_id}

Delete a file

API scopes: marketplace

Parameters

file_idstringpath